This discussion is archived
0 Replies Latest reply: Jun 3, 2012 10:57 PM by 739638 RSS

Sun one web server 7.0 compatibility with JSF 2.0

739638 Newbie
Currently Being Moderated
Hi All,
We are using SunOne 7.0 Web server and JSF 2.0. While testing the application we were facing two problems in SunOne server.

1.     If we use the scope as view (<managed-bean-scope>view</managed-bean-scope>, feature available in JSF2.0), sun server was throwing an error saying “Invalid managed-bean-scope 'view' for managed bean 'xxxxx'. Scope must be none, application, session, or request.”
2.     If we change the scope in to application/session/ request and then run the application, we were getting another error in sun server saying” Exception sending context initialized event to listener instance of class com.sun.faces.config.ConfigureListener java.lang.NoSuchMethodError: javax.faces.application.Application.subscribeToEvent(Ljava/lang/Class;Ljavax/faces/event/SystemEventListener;)”

After doing some R&D, we did a work around and replaced the default jsf-api.jar and jsf-impl.jar(version 1.2) present in the SunOne lib folder with
jsf-api.jar and jsf-impl.jar(version2.0). This change worked for us and both errors mentioned above were resolved and the application started working fine.

We understand that SunOne Web server 7.0 supports only JSF1.2. Please refer the below link.
http://docs.oracle.com/cd/E19146-01/821-1835/gdutz/index.html (search for 6567124)
Please clarify the queries
•     Is the work around in terms of the JAR replacement in SunOne web server is advisable?
•     Or we should be using the older version(1.2), as SunOne supports only this version?

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points